# std::_GClos< _ValArray, _Tp > Struct Template Reference

Inheritance diagram for std::_GClos< _ValArray, _Tp >:

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::_GClos< _ValArray, _Tp >

Definition at line 104 of file valarray_after.h.

## Public Types

- typedef _GBase< _Array< _Tp > > _Base
- typedef _Base::value_type value_type

## Public Member Functions

- _GClos (_Array< _Tp > __a, const valarray< size_t > &__i)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this struct was generated from the following file:

- valarray_after.h